Create a quote request.
curl --request POST \
--url https://api.symbiosis.markets/rfq/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"asset_id": "<string>",
"disclose_identity": false
}
'import requests
url = "https://api.symbiosis.markets/rfq/request"
payload = {
"amount": "<string>",
"asset_id": "<string>",
"disclose_identity": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>', asset_id: '<string>', disclose_identity: false})
};
fetch('https://api.symbiosis.markets/rfq/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}RFQ
Create a quote request.
POST
/
rfq
/
request
Create a quote request.
curl --request POST \
--url https://api.symbiosis.markets/rfq/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"asset_id": "<string>",
"disclose_identity": false
}
'import requests
url = "https://api.symbiosis.markets/rfq/request"
payload = {
"amount": "<string>",
"asset_id": "<string>",
"disclose_identity": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: '<string>', asset_id: '<string>', disclose_identity: false})
};
fetch('https://api.symbiosis.markets/rfq/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Body
application/json
An amount in the asset's native indivisible units.
A fixed point representation of a token or USDC amount, scaled by 1e6.
Responses encode amounts as 0x-prefixed hex strings; requests also accept decimal strings and JSON numbers.
Available options:
Bid, Ask The supported markets of the system.
Available options:
polymarket, kalshi, limitless Response
A quote request's globally unique id. Server-assigned, never reused.